/// <reference types="react" />
import { Widget } from '@tinystacks/ops-model';
import { BaseWidget } from '@tinystacks/ops-core';
type JsonFilterProps = Widget & {
    jsonObject: {
        [key: string]: any;
    };
    paths: {
        pathDisplayName: string;
        path: string;
    }[];
    filteredJson?: {
        pathDisplayName: string;
        json: any;
    }[];
};
export declare class JsonFilter extends BaseWidget {
    static type: string;
    jsonObject: {
        [key: string]: any;
    };
    paths: {
        pathDisplayName: string;
        path: string;
    }[];
    filteredJson: {
        pathDisplayName: string;
        json: string;
    }[];
    constructor(props: JsonFilterProps);
    static fromJson(object: JsonFilterProps): JsonFilter;
    toJson(): JsonFilterProps;
    getData(): void;
    render(): JSX.Element;
}
export {};
